<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Metadata;

use function in_array;

/**
 * Class AbstractProvider
 *
 * @package Inti\Wp\Provider\Metadata
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractProvider implements ProviderInterface
{
    protected array $meta_keys = [];

    public function hasMetadataKey(string $key): bool
    {
        return in_array($key, $this->meta_keys);
    }
}
