<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Post;

use Inti\Wp\Provider\Metadata\ProviderInterface as MetadataProviderInterface;
use Inti\Wp\Provider\ObjectProviderInterface;

/**
 * Interface ProviderInterface
 *
 * @package Inti\Wp\Provider\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface ProviderInterface extends
    MetadataProviderInterface,
    ObjectProviderInterface
{

}
