<?php /** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Wp\Provider\Service;

use Inti\Wp\Provider\ProviderInterface;
use Laminas\ServiceManager\AbstractPluginManager;

/**
 * Class ProviderManager
 *
 * @package Inti\Wp\Provider\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
final class ProviderManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = ProviderInterface::class;
}
