<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Term;

use Inti\Wp\Provider\Type\AbstractObjectType;

/**
 * Class AbstractTaxonomy
 *
 * @package Inti\Wp\Provider\Type\Term
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractTaxonomy extends AbstractObjectType implements TaxonomyInterface
{
    protected bool $public = true;

    public function getObjectType(): string
    {
        return 'term';
    }
}
